ConnectionAbortedError: [WinError 10053]

29 просмотраpymysql Python 3 sql
0
0 Комментариев

Всех приветствую !

Я пытаюсь автоматизировать свой парсер(допустим включишь его один раз утром и выключаешь вечером).

Вот такой код я написал с использованием библиотеки schedule

И при запуске кода у меня выходит такая ошибка

Traceback (most recent call last):
File «C:\Users\Администратор\AppData\Local\Programs\Python\Python37-32\lib\site-packages\pymysql\connections.py», line 691, in _read_bytes
data = self._rfile.read(num_bytes)
File «C:\Users\Администратор\AppData\Local\Programs\Python\Python37-32\lib\socket.py», line 589, in readinto
return self._sock.recv_into(b)
ConnectionAbortedError: [WinError 10053] Программа на вашем хост-компьютере разорвала установленное подключение

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File «C:/Users/Администратор/PycharmProjects/Task/sql.py», line 126, in <module>
schedule.run_pending()
File «C:\Users\Администратор\AppData\Local\Programs\Python\Python37-32\lib\site-packages\schedule\__init__.py», line 563, in run_pending
default_scheduler.run_pending()
File «C:\Users\Администратор\AppData\Local\Programs\Python\Python37-32\lib\site-packages\schedule\__init__.py», line 94, in run_pending
self._run_job(job)
File «C:\Users\Администратор\AppData\Local\Programs\Python\Python37-32\lib\site-packages\schedule\__init__.py», line 147, in _run_job
ret = job.run()
File «C:\Users\Администратор\AppData\Local\Programs\Python\Python37-32\lib\site-packages\schedule\__init__.py», line 466, in run
ret = self.job_func()
File «C:/Users/Администратор/PycharmProjects/Task/sql.py», line 113, in call_all_func
cursor.execute(sql,(str(resource_link),str(item_title),str(item_datetime),str(item_text_content)))
File «C:\Users\Администратор\AppData\Local\Programs\Python\Python37-32\lib\site-packages\pymysql\cursors.py», line 170, in execute
result = self._query(query)
File «C:\Users\Администратор\AppData\Local\Programs\Python\Python37-32\lib\site-packages\pymysql\cursors.py», line 328, in _query
conn.query(q)
File «C:\Users\Администратор\AppData\Local\Programs\Python\Python37-32\lib\site-packages\pymysql\connections.py», line 517, in query
self._affected_rows = self._read_query_result(unbuffered=unbuffered)
File «C:\Users\Администратор\AppData\Local\Programs\Python\Python37-32\lib\site-packages\pymysql\connections.py», line 732, in _read_query_result
result.read()
File «C:\Users\Администратор\AppData\Local\Programs\Python\Python37-32\lib\site-packages\pymysql\connections.py», line 1075, in read
first_packet = self.connection._read_packet()
File «C:\Users\Администратор\AppData\Local\Programs\Python\Python37-32\lib\site-packages\pymysql\connections.py», line 657, in _read_packet
packet_header = self._read_bytes(4)
File «C:\Users\Администратор\AppData\Local\Programs\Python\Python37-32\lib\site-packages\pymysql\connections.py», line 699, in _read_bytes
«Lost connection to MySQL server during query (%s)» % (e,))
pymysql.err.OperationalError: (2013, ‘Lost connection to MySQL server during query ([WinError 10053] Программа на вашем хост-компьютере разорвала установленное подключение)’)

Process finished with exit code 1


Добавить комментарий

0 Answers

Python Опубликовано 15.09.2019
Напишите свой ответ на данный вопрос.
Scroll Up

Подпишись на канал!

Новые видеоуроки, книги и полезные статьи для python программистов!